diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
index d47ca2b9a..28e430e6d 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
@@ -7,41 +7,39 @@ import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProviderNether;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
-import net.minecraft.core.world.noise.BasePerlinNoise;
 import net.minecraft.core.world.noise.PerlinNoise;
 import net.minecraft.core.world.noise.PerlinSimplexNoise;
 import net.minecraft.core.world.type.WorldType;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.HashMap;
 import java.util.Map;
 import java.util.Random;
 
 public class DensityGeneratorNether
-    implements DensityGenerator
-{
+    implements DensityGenerator {
     private interface BiomeDensityGenerator {
         double[] generateDensityMap(Chunk chunk, int terrainHeight, int xSize, int ySize, int zSize, int x, int y, int z);
     }
 
-    private final World world;
+    private final @NotNull World world;
 
-    private final PerlinNoise minLimitNoise;
-    private final PerlinNoise maxLimitNoise;
-    private final PerlinNoise mainNoise;
-    private final PerlinNoise scaleNoise;
-    private final PerlinNoise depthNoise;
+    private final @NotNull PerlinNoise minLimitNoise;
+    private final @NotNull PerlinNoise maxLimitNoise;
+    private final @NotNull PerlinNoise mainNoise;
+    private final @NotNull PerlinNoise scaleNoise;
+    private final @NotNull PerlinNoise depthNoise;
 
-    private final PerlinSimplexNoise poolNoiseOver;
-    private final PerlinSimplexNoise poolNoiseUnder;
+    private final @NotNull PerlinSimplexNoise poolNoiseOver;
+    private final @NotNull PerlinSimplexNoise poolNoiseUnder;
 
-    private final PerlinSimplexNoise ravineNoise2;
+    private final @NotNull PerlinSimplexNoise ravineNoise2;
 
-    private final PerlinSimplexNoise islandNoise;
+    private final @NotNull PerlinSimplexNoise islandNoise;
 
-    private final Map<Biome, BiomeDensityGenerator> densityGeneratorMap = new HashMap<>();
+    private final @NotNull Map<@NotNull Biome, @NotNull BiomeDensityGenerator> densityGeneratorMap = new HashMap<>();
 
-    public DensityGeneratorNether(World world)
-    {
+    public DensityGeneratorNether(World world) {
         this.world = world;
 
         this.minLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 0);
@@ -58,18 +56,17 @@ public class DensityGeneratorNether
         this.poolNoiseOver = new PerlinSimplexNoise(rand, 4);
         this.poolNoiseUnder = new PerlinSimplexNoise(rand, 1);
 
-        densityGeneratorMap.put(Biomes.NETHER_NETHER, this::generateDensityMapBiomeNether);
-        densityGeneratorMap.put(Biomes.NETHER_VOLCANIC_ISLANDS, this::generateDensityMapBiomeNether);
-        densityGeneratorMap.put(Biomes.NETHER_SULFUR_POOLS, this::generateDensityMapBiomeNether);
-        densityGeneratorMap.put(Biomes.NETHER_CRYSTAL_FOREST, this::generateDensityMapBiomeNether);
-        densityGeneratorMap.put(Biomes.NETHER_ASH_PLAINS, this::generateDensityMapBiomeNether);
-        densityGeneratorMap.put(Biomes.NETHER_BONEYARD, this::generateDensityMapBiomeNether);
+        this.densityGeneratorMap.put(Biomes.NETHER_NETHER, this::generateDensityMapBiomeNether);
+        this.densityGeneratorMap.put(Biomes.NETHER_VOLCANIC_ISLANDS, this::generateDensityMapBiomeNether);
+        this.densityGeneratorMap.put(Biomes.NETHER_SULFUR_POOLS, this::generateDensityMapBiomeNether);
+        this.densityGeneratorMap.put(Biomes.NETHER_CRYSTAL_FOREST, this::generateDensityMapBiomeNether);
+        this.densityGeneratorMap.put(Biomes.NETHER_ASH_PLAINS, this::generateDensityMapBiomeNether);
+        this.densityGeneratorMap.put(Biomes.NETHER_BONEYARD, this::generateDensityMapBiomeNether);
     }
 
     @Override
-    public double[] generateDensityMap(Chunk chunk)
-    {
-        WorldType worldType = world.getWorldType();
+    public double @NotNull [] generateDensityMap(@NotNull Chunk chunk) {
+        WorldType worldType = this.world.getWorldType();
 
         int terrainHeight = ((worldType.getMaxY() + 1) - worldType.getMinY());
         int xSize = 4 + 1;
@@ -85,7 +82,7 @@ public class DensityGeneratorNether
         double[] densityMapArray = new double[xSize * ySize * zSize];
         Map<Biome, double[]> perBiomeDensityMaps = new HashMap<>();
 
-        BiomeProviderNether biomeProvider = (BiomeProviderNether) world.getBiomeProvider();
+        BiomeProviderNether biomeProvider = (BiomeProviderNether) this.world.getBiomeProvider();
         BiomeProviderNether.BiomeOverlapPair[] overlapPairs = new BiomeProviderNether.BiomeOverlapPair[xSize * zSize];
 
         // Cache density maps for biome(s)
@@ -99,11 +96,11 @@ public class DensityGeneratorNether
                 biomeProvider.getOverlap(temperature, overlapPair);
 
                 if (!perBiomeDensityMaps.containsKey(overlapPair.biomeA)) {
-                    perBiomeDensityMaps.put(overlapPair.biomeA, densityGeneratorMap.get(overlapPair.biomeA).generateDensityMap(chunk, (int) (terrainHeight * 0.75f), xSize, threeQuarterYSize, zSize, x, y, z));
+                    perBiomeDensityMaps.put(overlapPair.biomeA, this.densityGeneratorMap.get(overlapPair.biomeA).generateDensityMap(chunk, (int) (terrainHeight * 0.75f), xSize, threeQuarterYSize, zSize, x, y, z));
                 }
                 if (overlapPair.hasOverlap) {
                     if (!perBiomeDensityMaps.containsKey(overlapPair.biomeB)) {
-                        perBiomeDensityMaps.put(overlapPair.biomeB, densityGeneratorMap.get(overlapPair.biomeB).generateDensityMap(chunk, (int) (terrainHeight * 0.75f), xSize, threeQuarterYSize, zSize, x, y, z));
+                        perBiomeDensityMaps.put(overlapPair.biomeB, this.densityGeneratorMap.get(overlapPair.biomeB).generateDensityMap(chunk, (int) (terrainHeight * 0.75f), xSize, threeQuarterYSize, zSize, x, y, z));
                     }
                 }
             }
@@ -150,32 +147,26 @@ public class DensityGeneratorNether
         final double upperLimitScale = 512.0;
         final double lowerLimitScale = 512.0;
 
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
         double[] densityOffsetArray = new double[ySize];
-        for(int dy = 0; dy < ySize; dy++)
-        {
-            densityOffsetArray[dy] = Math.cos(((double)dy * Math.PI * 6D) / (double)ySize) * 2D;
+        for (int dy = 0; dy < ySize; dy++) {
+            densityOffsetArray[dy] = Math.cos(((double) dy * Math.PI * 6D) / (double) ySize) * 2D;
             double densityOffset = dy;
-            if(dy > ySize / 2)
-            {
+            if (dy > ySize / 2) {
                 densityOffset = ySize - 1 - dy;
             }
-            if(densityOffset < 4D)
-            {
+            if (densityOffset < 4D) {
                 densityOffset = 4D - densityOffset;
                 densityOffsetArray[dy] -= densityOffset * densityOffset * densityOffset * 10D;
             }
         }
 
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dz = 0; dz < zSize; dz++)
-            {
-                for(int dy = 0; dy < ySize; dy++)
-                {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
                     double densityOffset = densityOffsetArray[dy];
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
@@ -183,23 +174,17 @@ public class DensityGeneratorNether
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
 
-                    if(dy > ySize - 4)
-                    {
-                        double densityMod = (float)(dy - (ySize - 4)) / 3F;
+                    if (dy > ySize - 4) {
+                        double densityMod = (float) (dy - (ySize - 4)) / 3F;
                         density = density * (1.0D - densityMod) + -10D * densityMod;
                     }
 
@@ -239,61 +224,51 @@ public class DensityGeneratorNether
 
         double ravineNoiseScale = 0.03D;
 
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] scaleArray = this.scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+        double[] depthArray = this.depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
 
-        double[] ravineNoise = ravineNoise2.getValue(null, x, z, xSize, zSize, ravineNoiseScale, ravineNoiseScale, 3.0D, 3.0D);
+        double[] ravineNoise = this.ravineNoise2.getValue(null, x, z, xSize, zSize, ravineNoiseScale, ravineNoiseScale, 3.0D, 3.0D);
 //        double[] ravineMod = ravineNoise2.getValue(null, x, z, xSize, zSize, ravineNoiseScale, ravineNoiseScale, 0.25D, 0.6D);
 
         int mainIndex = 0;
 
         int depthScaleIndex = 0;
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
 
                 // Calculate scale
                 double scale = (scaleArray[depthScaleIndex] + 256D) / 512D;
                 scale *= 0.5D;
-                if(scale > 1.0D)
-                {
+                if (scale > 1.0D) {
                     scale = 1.0D;
                 }
 
                 // Calculate depth
                 double depth = depthArray[depthScaleIndex] / 2000D;
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth = -depth * 0.3D;
                 }
                 depth = depth * 3D - 2D;
 
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth /= 2D;
-                    if(depth < -1D)
-                    {
+                    if (depth < -1D) {
                         depth = -1D;
                     }
                     depth /= 1.4D;
                     depth /= 2D;
                     scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
+                } else {
+                    if (depth > 1.0D) {
                         depth = 1.0D;
                     }
                     depth /= 8D;
                 }
 
-                if(scale < 0.0D)
-                {
+                if (scale < 0.0D) {
                     scale = 0.0D;
                 }
 
@@ -303,12 +278,10 @@ public class DensityGeneratorNether
                 double offsetY = depthBaseSize + depth * 4D;
                 depthScaleIndex++;
 
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
-                    double densityOffset = ((((double)dy - offsetY) * heightStretch) / scale);
-                    if(densityOffset < 0.0D)
-                    {
+                    double densityOffset = ((((double) dy - offsetY) * heightStretch) / scale);
+                    if (densityOffset < 0.0D) {
                         densityOffset *= 4D;
                     }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
@@ -316,16 +289,11 @@ public class DensityGeneratorNether
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
@@ -334,20 +302,19 @@ public class DensityGeneratorNether
 
                     float val = (float) ravineNoise[dx * zSize + dz] * 60;
 //                    float mod = (float) ravineMod[dx * zSize + dz];
-                    if(val < 0.3){
+                    if (val < 0.3) {
                         val = 0;
                     }
 
-                    if(dy > 3) {
+                    if (dy > 3) {
                         density += (val * 6d);
                     } else {
                         density += (val * 4d) * (dy / (ySize / 2d)) * (dy / (ySize / 2d));
 
                     }
 
-                    if(dy > ySize - 7)
-                    {
-                        densityMod = (float)(dy - (ySize - 7)) / 6F;
+                    if (dy > ySize - 7) {
+                        densityMod = (float) (dy - (ySize - 7)) / 6F;
                         density = density * (1.0D - densityMod) + 300D * densityMod;
                     }
 
@@ -384,57 +351,47 @@ public class DensityGeneratorNether
 
         final double noiseScale = 0.02;
 
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] islandNoiseArray = islandNoise.getValue(null, x, z, xSize, zSize, noiseScale, noiseScale, 2, 2);
+        double[] scaleArray = this.scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+        double[] depthArray = this.depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] islandNoiseArray = this.islandNoise.getValue(null, x, z, xSize, zSize, noiseScale, noiseScale, 2, 2);
 
         int mainIndex = 0;
 
         int depthScaleIndex = 0;
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
                 // Calculate scale
                 double scale = (scaleArray[depthScaleIndex] + 256D) / 2048D;
-                if(scale > 1.0D)
-                {
+                if (scale > 1.0D) {
                     scale = 1.0D;
                 }
 
                 // Calculate depth
                 double depth = depthArray[depthScaleIndex] / 2000D;
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth = -depth * 0.3D;
                 }
                 depth = depth * 3D - 2D;
 
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth /= 2D;
-                    if(depth < -1D)
-                    {
+                    if (depth < -1D) {
                         depth = -1D;
                     }
                     depth /= 1.4D;
                     depth /= 2D;
                     scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
+                } else {
+                    if (depth > 1.0D) {
                         depth = 1.0D;
                     }
                     depth /= 8D;
                 }
 
-                if(scale < 0.0D)
-                {
+                if (scale < 0.0D) {
                     scale = 0.0D;
                 }
 
@@ -443,12 +400,10 @@ public class DensityGeneratorNether
 
                 double offsetY = depthBaseSize + depth * 4D;
                 depthScaleIndex++;
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
-                    double densityOffset = ((((double)dy - offsetY) * heightStretch) / scale);
-                    if(densityOffset < 0.0D)
-                    {
+                    double densityOffset = ((((double) dy - offsetY) * heightStretch) / scale);
+                    if (densityOffset < 0.0D) {
                         densityOffset *= 4D;
                     }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
@@ -456,28 +411,22 @@ public class DensityGeneratorNether
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
 
                     //Generate islands
                     float isl = (float) islandNoiseArray[dx * zSize + dz];
-                    if(isl > 0.5) isl = isl * 100;
-                    if(isl < -0.2) isl = -isl * 100;
+                    if (isl > 0.5) isl = isl * 100;
+                    if (isl < -0.2) isl = -isl * 100;
 
-                    if(dy > ySize - 9)
-                    {
-                        double densityMod = (float)(dy - (ySize - 10)) / 6F;
+                    if (dy > ySize - 9) {
+                        double densityMod = (float) (dy - (ySize - 10)) / 6F;
                         density = density * (1.0D - densityMod) + 100D * densityMod;
                     }
 
@@ -516,55 +465,45 @@ public class DensityGeneratorNether
         final double upperLimitScale = 512;
         final double lowerLimitScale = 512;
 
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] scaleArray = this.scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+        double[] depthArray = this.depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
 
         int depthScaleIndex = 0;
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
                 // Calculate scale
                 double scale = (scaleArray[depthScaleIndex] + 256D) / 2048D;
-                if(scale > 1.0D)
-                {
+                if (scale > 1.0D) {
                     scale = 1.0D;
                 }
 
                 // Calculate depth
                 double depth = depthArray[depthScaleIndex] / 2000D;
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth = -depth * 0.3D;
                 }
                 depth = depth * 3D - 2D;
 
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth /= 2D;
-                    if(depth < -1D)
-                    {
+                    if (depth < -1D) {
                         depth = -1D;
                     }
                     depth /= 1.4D;
                     depth /= 2D;
                     scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
+                } else {
+                    if (depth > 1.0D) {
                         depth = 1.0D;
                     }
                     depth /= 8D;
                 }
 
-                if(scale < 0.0D)
-                {
+                if (scale < 0.0D) {
                     scale = 0.0D;
                 }
 
@@ -573,12 +512,10 @@ public class DensityGeneratorNether
 
                 double offsetY = depthBaseSize + depth * 4D;
                 depthScaleIndex++;
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
-                    double densityOffset = ((((double)dy - offsetY) * heightStretch) / scale);
-                    if(densityOffset < 0.0D)
-                    {
+                    double densityOffset = ((((double) dy - offsetY) * heightStretch) / scale);
+                    if (densityOffset < 0.0D) {
                         densityOffset *= 4D;
                     }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
@@ -586,23 +523,17 @@ public class DensityGeneratorNether
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
 
-                    if(dy > ySize - 7)
-                    {
-                        double densityMod = (float)(dy - (ySize - 7)) / 6F;
+                    if (dy > ySize - 7) {
+                        double densityMod = (float) (dy - (ySize - 7)) / 6F;
                         density = density * (1.0D - densityMod) + 300D * densityMod;
                     }
 
@@ -640,57 +571,47 @@ public class DensityGeneratorNether
         final double upperLimitScale = 512;
         final double lowerLimitScale = 512;
 
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] poolOverArray = poolNoiseOver.getValue(null, x, z, xSize, zSize, poolNoiseScale, poolNoiseScale, 1, 0.2);
-        double[] poolUnderArray = poolNoiseUnder.getValue(null, x, z, xSize, zSize, poolNoiseScale, poolNoiseScale, 0.01, 1);
+        double[] scaleArray = this.scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+        double[] depthArray = this.depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] poolOverArray = this.poolNoiseOver.getValue(null, x, z, xSize, zSize, poolNoiseScale, poolNoiseScale, 1, 0.2);
+        double[] poolUnderArray = this.poolNoiseUnder.getValue(null, x, z, xSize, zSize, poolNoiseScale, poolNoiseScale, 0.01, 1);
         int mainIndex = 0;
 
         int depthScaleIndex = 0;
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
                 // Calculate scale
                 double scale = (scaleArray[depthScaleIndex] + 256D) / 2048D;
-                if(scale > 1.0D)
-                {
+                if (scale > 1.0D) {
                     scale = 1.0D;
                 }
 
                 // Calculate depth
                 double depth = depthArray[depthScaleIndex] / 2000D;
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth = -depth * 0.3D;
                 }
                 depth = depth * 3D - 2D;
 
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth /= 2D;
-                    if(depth < -1D)
-                    {
+                    if (depth < -1D) {
                         depth = -1D;
                     }
                     depth /= 1.4D;
                     depth /= 2D;
                     scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
+                } else {
+                    if (depth > 1.0D) {
                         depth = 1.0D;
                     }
                     depth /= 8D;
                 }
 
-                if(scale < 0.0D)
-                {
+                if (scale < 0.0D) {
                     scale = 0.0D;
                 }
 
@@ -699,12 +620,10 @@ public class DensityGeneratorNether
 
                 double offsetY = depthBaseSize + depth * 4D;
                 depthScaleIndex++;
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
-                    double densityOffset = ((((double)dy - offsetY) * heightStretch) / scale);
-                    if(densityOffset < 0.0D)
-                    {
+                    double densityOffset = ((((double) dy - offsetY) * heightStretch) / scale);
+                    if (densityOffset < 0.0D) {
                         densityOffset *= 4D;
                     }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
